## Example 1: Fixing the toggle

<div class="grid">

```html
<style>
input[type="checkbox"][data-role="toggle"] {
	appearance: none;
	background: lightgray;
	border: 1px solid gray;
	width: 50px;
	height: 20px;
	border-radius: 20px;
	position: relative;
	cursor: pointer;
	
	&::before {
		content: " ";
		width: 14px;
		aspect-ratio: 1;
		background: gray;
		position: absolute;
		left: 2px;
		top: 1px;
		border-radius: 20px;
		border: 1px solid transparent;
		transition:
            left .2s ease-in-out,
            right .2s ease-in-out;
	}
	
	&:checked {
		background: lightgreen;
		
		&::before {
			border-color: gray;
			background-color: white;
			left: calc(100% - 18px);
		}
	}
}
</style>

<input
    type="checkbox"
    data-type="toggle"
    name="activated"
/>
```

<div>
    <input
        type="checkbox"
        data-role="toggle"
        name="activated"
    />

* 42 lines of code
* Uses regular HTML markup - 0 javascript needed
* Fully accessible
* Labels work
* Can be used anywhere - all you need is the stylesheet
</div>

</div>